Package org.eclipse.ui.texteditor

## Class SelectMarkerRulerInfoAction

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.ui.texteditor.ResourceAction
        - - org.eclipse.ui.texteditor.SelectMarkerRulerAction
          - - org.eclipse.ui.texteditor.SelectMarkerRulerInfoAction

All Implemented Interfaces:
  `IAction`, `IUpdate`

    @Deprecated
    public class SelectMarkerRulerInfoAction
    extends SelectMarkerRulerAction

Deprecated.
As of 2.1, replaced by `SelectMarkerRulerAction`

Since:
  2.0

### Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

### Constructor Summary

Constructors
`SelectMarkerRulerInfoAction​(ResourceBundle bundle, String prefix, IVerticalRulerInfo ruler, ITextEditor editor)` Deprecated. As of 2.1 replaced by `SelectMarkerRulerAction(ResourceBundle, String, ITextEditor, IVerticalRulerInfo)`

### Method Summary

### Methods inherited from class org.eclipse.ui.texteditor.SelectMarkerRulerAction

`chooseMarker, getAnnotationAccessExtension, getAnnotationModel, getDocument, getMarkers, getResource, handleCoreException, hasMarkers, includesRulerLine, run, update`

### Methods inherited from class org.eclipse.ui.texteditor.ResourceAction

`getString, initialize, setHelpContextId`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SelectMarkerRulerInfoAction

    @Deprecated
    public SelectMarkerRulerInfoAction​(ResourceBundle bundle,
                                       String prefix,
                                       IVerticalRulerInfo ruler,
                                       ITextEditor editor)

Deprecated.
As of 2.1 replaced by `SelectMarkerRulerAction(ResourceBundle, String, ITextEditor, IVerticalRulerInfo)`
Creates a new action for the given ruler and editor. The action configures its visual representation from the given resource bundle.

Parameters:
  `bundle` - the resource bundle
  `prefix` - a prefix to be prepended to the various resource keys
  `ruler` - the ruler
  `editor` - the editor